org.codehaus.plexus.classworlds.event

## Interface ClassEventListener

All Known Implementing Classes:
  ClassEventDebug, ResourceEventDebug

    public interface ClassEventListener

Created by IntelliJ IDEA.

### Method Summary

Methods
`void` `failed(java.lang.String name, Strategy strategy, java.lang.Exception reason)`
`void` `found(java.lang.String name, Strategy strategy, java.lang.Class found)`
`void` `lookup(java.lang.String name, Strategy strategy)`

### Method Detail

#### lookup

    void lookup(java.lang.String name,
              Strategy strategy)

#### failed

    void failed(java.lang.String name,
              Strategy strategy,
              java.lang.Exception reason)

#### found

    void found(java.lang.String name,
             Strategy strategy,
             java.lang.Class found)